> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/classes/backpackitem.md).

# BackpackItem

BackpackItem : `Instance`

## Overview

BackpackItem은 Tool처럼 Backpack에 저장되는 아이템들이 공통적으로 상속받는 추상 클래스입니다.

## Properties

### TextureId

`string`

이 속성은 화면 하단 인벤토리 UI에서 Tool을 표시할 때 사용되는 아이콘 이미지를 지정합니다.

설정하지 않으면 이미지 대신 Tool의 이름이 표시됩니다.

#### Code Samples

```lua
local Tool = script.Parent
print(Tool.TextureId)
```

## Methods

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/backpackitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
